Package org.apache.sling.feature.maven

# Class Environment

java.lang.Object
org.apache.sling.feature.maven.Environment

public class Environment extends Object
The environment provides required services to the `Preprocessor` as well as the projects, the preprocessor should work on.

## Field Summary

Fields
Modifier and Type
Field
Description
`org.apache.maven.artifact.handler.manager.ArtifactHandlerManager`
`artifactHandlerManager`
`org.codehaus.plexus.logging.Logger`
`logger`
`final Map<String,FeatureProjectInfo>`
`modelProjects`
The projects for the preprocessor.
`org.eclipse.aether.RepositorySystem`
`repoSystem`
`org.apache.maven.execution.MavenSession`
`session`

## Constructor Summary

Constructors
Constructor
Description
`Environment()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### artifactHandlerManager

public org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager

### repoSystem

public org.eclipse.aether.RepositorySystem repoSystem

### session

public org.apache.maven.execution.MavenSession session

### logger

public org.codehaus.plexus.logging.Logger logger

### modelProjects

public final Map<String,FeatureProjectInfo> modelProjects
The projects for the preprocessor. The key of this map is in the format : "{groupId}:{artifactId}"

## Constructor Details

### Environment

public Environment()